%global eclipse_dropin   %{_datadir}/eclipse/dropins
%global gittag Luna_SR4

Name:      eclipse-mdt-ocl
Version:   5.0.4
Release:   2%{?dist}
Summary:   Implementation of the OCL OMG meta-model for Eclipse
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/ocl

Source0:   http://git.eclipse.org/c/mdt/org.eclipse.ocl.git/snapshot/org.eclipse.ocl-%{gittag}.tar.bz2

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-license
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-mdt-uml2 >= 4.0.0
BuildRequires:    lpg-java >= 2.0.17
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-emf >= 2.8.0
Requires:         eclipse-mdt-uml2 >= 4.0.0
Requires:         lpg-java >= 2.0.17

%description
OCL is an implementation of the Object Constraint Language (OCL) OMG standard
for EMF-based models. The objectives of the OCL component are to provide APIs
for parsing and evaluating OCL constraints and queries on EMF models, an Ecore
implementation of the OCL abstract syntax model, including support for
serialization of parsed OCL expressions, a Visitor API for analyzing/
transforming the AST model of OCL expressions and an extensibility API for
clients to customize the parsing and evaluation environments used by the
parser.

%prep
%setup -q -n org.eclipse.ocl-%{gittag}

# remove stuff we're not building
rm -rf archive/ examples/ tests/

# this works around ant not honouring symlinks
ln -s build/SDK/ .

# license is not in the right place on earlier fedoras
%if 0%{?fedora} < 22
mkdir -p build/SDK/features && cp -pr %{_javadir}/eclipse-license/eclipse/features/* build/SDK/features/.
%endif

mkdir orbitDeps
pushd orbitDeps
ln -s $(build-classpath lpgruntime) lpg.runtime.java.jar
popd

%build
# build mdt-ocl features
eclipse-pdebuild -f org.eclipse.ocl.all \
  -a "-DforceContextQualifier=$(date +v%Y%m%d-%H%M) -DjavacSource=1.5 -DjavacTarget=1.5" \
  -d "emf-runtime mdt-uml2 license" -o `pwd`/orbitDeps

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.all.zip

# use system bundles
pushd %{buildroot}%{eclipse_dropin}/mdt-ocl/eclipse/plugins
rm lpg.runtime.java_*.jar
ln -s ../../../../../../..$(build-classpath lpgruntime) \
  lpg.runtime.java_2.0.17.jar
popd

%files
%{eclipse_dropin}/mdt-ocl
%doc plugins/org.eclipse.ocl/about.html

%changelog
* Wed Apr 08 2015 Mat Booth <mat.booth@redhat.com> - 5.0.4-2
- Fix context qualifiers

* Tue Apr 07 2015 Mat Booth <mat.booth@redhat.com> - 5.0.4-1
- Update to latest upstream release

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 5.0.2-2
- Adapt to eclipse-emf-runtime dropins dir change.

* Thu Oct 02 2014 Mat Booth <mat.booth@redhat.com> - 5.0.2-1
- Update to latest upstream release
- Drop no longer needed patch, BR eclipse-license

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 4.0.2-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-2
- No longer necessary to specify icu4j as a dependency.

* Tue Feb 26 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-1
- Update to latest upstream.
- Fix FTBFS rhbz #913956.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Mat Booth <fedora@matbooth.co.uk> - 4.0.0-1
- Update to latest version.
- Adapt newer packaging guidelines.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.0.0-1
- Update to Helios release.
- Fixes RHBZ #631406.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-2
- Use build-classpath when symlinking to dependent bundles.
- Don't pretty-print the package description.

* Sun Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-1
- New OCL spec file based on eclipse-gef.
